----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 2017/--/-- --:--:--
-- Design Name: 
-- Module Name: Flip_Flop - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.all;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Flip_Flop is
    port ( CLK : in  STD_LOGIC;
           RESET : in  STD_LOGIC;
           D : in  STD_LOGIC;
           Q : out  STD_LOGIC);
end Flip_Flop;

architecture Behavioral of Flip_Flop is

begin

	process (CLK, RESET)
	begin
		if (RESET = '1') then
			Q <= '0';
		elsif (CLK' event and CLK = '1') then
			Q <= D;
		end if;
	end process;

end Behavioral;

