----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 2017/--/-- --:--:--
-- Design Name: 
-- Module Name: Counter_7seg - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.all;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Counter_7seg is
    port ( CLK : in  STD_LOGIC;
           RESET : in  STD_LOGIC;
           BTN : in  STD_LOGIC_VECTOR (1 downto 0);
           SEG : out  STD_LOGIC_VECTOR (11 downto 0));
end Counter_7seg;

architecture Behavioral of Counter_7seg is
	component UpDown_Counter 
		port ( CLK : in  STD_LOGIC;
		       RESET : in  STD_LOGIC;
               BTN : in  STD_LOGIC_VECTOR (1 downto 0);
			   Q : out  STD_LOGIC_VECTOR (3 downto 0));
	end component;
	component Decoder
		port ( Q : in  STD_LOGIC_VECTOR (3 downto 0);
			   SEG : out  STD_LOGIC_VECTOR (11 downto 0));
	end component;
	signal temp_q : STD_LOGIC_VECTOR (3 downto 0);
begin
	U0 : UpDown_Counter port map ( CLK => CLK,
								   RESET => RESET,
								   BTN => BTN,
								   Q => temp_q);
	U1 : Decoder port map ( Q => temp_q,
						    SEG => SEG);
end Behavioral;

