----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 2017/--/-- --:--:--
-- Design Name: 
-- Module Name: TestBench - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
 
-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--USE IEEE.numeric_std.all;
 
entity TestBench is
end TestBench;
 
architecture behavior of TestBench is
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    component Counter
    port(
         CLK : in  STD_LOGIC;
         RESET : in  STD_LOGIC;
         Q : out  STD_LOGIC_VECTOR(3 downto 0)
        );
    end component;
    

   --Inputs
   signal CLK : STD_LOGIC := '0';
   signal RESET : STD_LOGIC := '0';

 	--Outputs
   signal Q : STD_LOGIC_VECTOR(3 downto 0);

   -- Clock period definitions
   constant CLK_period : time := 5 ns;
 
begin
 
	-- Instantiate the Unit Under Test (UUT)
   uut: Counter port map (
          CLK => CLK,
          RESET => RESET,
          Q => Q
        );

   -- Clock process definitions
   CLK_process :process
   begin
		CLK <= '0';
		wait for CLK_period;
		CLK <= '1';
		wait for CLK_period;
   end process;
 

   -- Stimulus process
   stim_proc: process
   begin		
      -- hold reset state for 100 ns.
      -- wait for 100 ns;	

      -- wait for CLK_period*10;

      -- insert stimulus here 
      RESET <= '0';
      wait for 5 ns;	RESET <= '1';
      wait for 5 ns;	RESET <= '0';
      wait for 490 ns;
		
      wait;
   end process;

end;
